Loading...
Searching...
No Matches
ChunkWriter.h File Reference

Header file for ChunkWriter class. More...

`#include "ReaderBase.h"`
`#include "WriterBase.h"`
`#include "FFmpegWriter.h"`
`#include "CacheMemory.h"`
`#include "Json.h"`
`#include <cmath>`
`#include <ctime>`
`#include <iostream>`
`#include <fstream>`
`#include <cstdio>`
`#include <sstream>`
`#include <unistd.h>`
`#include <omp.h>`
`#include <QtCore/QDir>`

Go to the source code of this file.

## Classes

class | openshot::ChunkWriter
| This class takes any reader and generates a special type of video file, built with chunks of small video and audio data. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for ChunkWriter class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file ChunkWriter.h.